## libpam-chroot 0.9

=== Makefile ===
# $Id: Makefile,v 1.1.1.1 2004/05/05 00:07:47 schmolli Exp $

CC=gcc
CFLAGS=-fPIC -O2 -Wall -Werror -pedantic
CPPFLAGS=-I.
LDFLAGS=-x --shared -lpam

OUT=pam_chroot.so

all:	$(OUT)

%.so: %.o
	ld $(LDFLAGS) -o $@ $<

clean:
	rm -f *.o $(OUT)

install:
	install -s -o0 -g0 -m755 $(OUT) /lib/security

=== debian/changelog ===
libpam-chroot (0.9-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089369)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 10:15:16 +0000

libpam-chroot (0.9-5.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM module into /usr/. (Closes: #1061492)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 21:53:14 +0200

libpam-chroot (0.9-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1043203)
    + Move example to debian directory.

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 12:44:34 +0200

libpam-chroot (0.9-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965672)
  * Install pam_chroot.so to the correct directory. (Closes: #991113)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Feb 2023 12:00:07 +0200

libpam-chroot (0.9-5) unstable; urgency=high

  * debian/rules: Install the PAM module in the right location 
    (Closes: #980047)
  * Fix FTCBFS: (Closes: #949080, #437385)
    + Let dh_auto_build pass cross tools to make.
    + Make install substitutable.
    + Pass a non-stripping install to make install.
    Thanks Helmut Grohne for the patch
  * debian/README.Debian: discourage users from using this module with
    OpenSSH as this feature is available already in the daemon (see option
    ChrootDirectory) and the setup might not work due to changes in OpenSSH
    (Closes: #527564)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 03 Jun 2021 12:57:43 +0200

libpam-chroot (0.9-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC-7 and Clang. Closes: 853502, #754322; thanks Jason
    Duerstock, Juhani Numminen.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 11 Apr 2018 02:18:46 +0200

libpam-chroot (0.9-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": apply patch from Linn Crosetto:
    mark the non-standard function identifier __FUNCTION__
    with the __extension__ keyword.
    (Closes: #777965)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 15:17:04 +0200

libpam-chroot (0.9-4.1) unstable; urgency=low

  * NMU
  * Merge changes back from Ubuntu (thanks to Matthias Klose)
    - Remove unused variable `name'. Closes: #625374. LP: #831203.
    - Revert:
      + Build with -fno-stack-protector fix FTBFS
    - Link with gcc.
  * Lintian cleanups:
    - Add ${misc:Depends}
    - Add initial build-arch and build-indep rules
    - Update Standard-Version (no changes)

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Fri, 16 Dec 2011 18:07:23 +0000

libpam-chroot (0.9-4) unstable; urgency=low

  * Makefile: -lpam should go at the end of the $(LD) invocation
  * Change the maintainer's email address
  * Document in debian/README.Debian the fact that OpenSSH provides
    this feature (since the 4.9 release)
  * debian/control: Move homepage to header
  * debian/watch: Added watch file
  * debian/copyright:
        - Convert to UTF-8
        - Add a proper copyright statement and clarify the
          upstream authors
        - Remove reference to RedHat

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 27 Oct 2010 01:52:24 +0200

libpam-chroot (0.9-3) unstable; urgency=medium

  * This package builds fine with Gcc 4.2 (Closes: #361568)
  * Replace x_strdup() with strdup() in pam_chroot.c
  * Use debian compatibility version 5

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 04 Oct 2007 00:59:53 +0200

libpam-chroot (0.9-2) unstable; urgency=low

  * As suggested by Jim Paris, updated the README.Debian file with new
  information detailing when might OpenSSH work with pam-chroot and when
  you might need to disable Privilege Separation.
  Based on his experiments and Darren Tucker's answer to this issue available
  at:
  http://groups.google.com/groups?&selm=bk371q%24d33%241%40gate.dodgy.net.au
  * Following his suggestions modified TROUBLESHOOTING since there is only
  one debug message that goes to auth.debug, most of them go to auth.notice

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  6 Oct 2004 00:10:07 +0200

libpam-chroot (0.9-1) unstable; urgency=low

  * New upstream release (Closes: #250791)
           - fix memory leaks, expanded user/group regex support (0.8)
	   - security checks for conf file & chroot directories (0.9)
  * Since new upstream is in sourceforge, adjusted debian/copyright and
    added homepage to debian/control, and changed debian/watch
    (not enabled SF since it will not work with uscan)
  * Removed 'configure' target from debian/rules as it is not used.
  * Install the new 'TROUBLESHOOTING' doc provided upstream.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 30 Sep 2004 00:47:27 +0200

libpam-chroot (0.6-6) unstable; urgency=low

  * Correct parsing of the config option 'onerr' with the patch
    provided by Rene Konasz (Closes: #232808)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  7 Jun 2004 10:24:36 +0200

libpam-chroot (0.6-5) unstable; urgency=low

  * Added information in README.Debian regarding how to configure OpenSSH to
    use libpam-chroot and mention explicitly Privilege Separation breakage
    (Closes: #173258)
  * Added more information in the configuration file chroot.conf

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 11 Jan 2004 18:37:39 +0100

libpam-chroot (0.6-4) unstable; urgency=low

  * Updated Standard-Version
  * Fixed lintian warnings
  * Added uscan's watch file
  * Removed all of dh_make example files

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Oct 2003 02:01:42 +0100

libpam-chroot (0.6-3) unstable; urgency=low

  * Provided template for setup-chroot as well as an rsync example thanks to
    Andres Salomon (Closes: #150368)



=== debian/control ===
Source: libpam-chroot
Section: devel
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org> 
Build-Depends: libpam0g-dev, debhelper (>> 3.0.0)
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/pam-chroot/

Package: libpam-chroot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chroot Pluggable Authentication Module for PAM
 This package includes a special (but not thoroughly tested) PAM
 module to provide chrooted (restricted) environments for users.
 The module tries to provide a transparent wrapper around the
 average user, one that puts them in a fake file-system (eg, their
 '/' is really /some/where/else). 
 .
 In order to setup this environment in Debian please read the 
 README.Debian as well as the detailed example provided in 
 /usr/share/doc/libpam-chroot/examples

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libpam-chroot
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
# export DH_COMPAT=5

DEB_HOST_MULTIARCH      ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: 
	dh_testdir
	dh_auto_build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p $(CURDIR)/debian/libpam-chroot/usr/lib/$(DEB_HOST_MULTIARCH)/security
	# Add here commands to install the package into debian/libpam-chroot
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libpam-chroot LIBDIR=$(CURDIR)/debian/libpam-chroot/usr/lib/$(DEB_HOST_MULTIARCH)/security INSTALL="install --strip-program=true"


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_movefiles

#	dh_installdebconf	
	dh_installdocs options TROUBLESHOOTING
	dh_installexamples debian/example/*
#	dh_installpam
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(bz2|gz)// \
http://sf.net/pam-chroot/pam_chroot-(.*)\.tar\.(bz2|gz)	debian	uupdate
